Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.concurrent
Class ThreadNameHelper

    java.lang.Object
      org.mule.util.concurrent.ThreadNameHelper

    public class ThreadNameHelper

extends Object

Encapsulates thread naming logic for Mule standalone and embedded scenarios.

Method Summary
`static String` | `asyncProcessor(MuleContext muleContext, String mpName)`
`static String` | `dispatcher(MuleContext muleContext, String connectorName)`
`static String` | `flow(MuleContext muleContext, String name)`
`static String` | `getPrefix(MuleContext muleContext)` Generate a generic thread name prefix for this context.
`static String` | `receiver(MuleContext muleContext, String connectorName)`
`static String` | `requester(MuleContext muleContext, String connectorName)`
`static String` | `sedaService(MuleContext muleContext, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### receiver

    public static String receiver(MuleContext muleContext,
                                  String connectorName)

### dispatcher

    public static String dispatcher(MuleContext muleContext,
                                    String connectorName)

### requester

    public static String requester(MuleContext muleContext,
                                   String connectorName)

### asyncProcessor

    public static String asyncProcessor(MuleContext muleContext,
                                        String mpName)

### sedaService

    public static String sedaService(MuleContext muleContext,
                                     String name)

### flow

    public static String flow(MuleContext muleContext,
                              String name)

### getPrefix

    public static String getPrefix(MuleContext muleContext)

  Generate a generic thread name prefix for this context.

  Parameters:
    `muleContext` - context to generate the name prefix for
  Returns:
    "[appName]." if Mule is running as a container, otherwise "Mule."

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.